Summary: Man (manual) pages from the Linux Documentation Project.
Name: man-pages
Version: 1.31
Release: 1
Group: Documentation
Copyright: distributable
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.win.tue.nl/pub/linux/docs/manpages/man-pages-%{version}.tar.bz2
Buildroot: /var/tmp/%{name}-root
Autoreqprov: false
BuildArchitectures: noarch

%description
A large collection of man pages (documentation) from the Linux
Documentation Project (LDP).  The man pages are organized into the
following sections: Section 1, user commands (intro only); Section 2,
system calls; Section 3, libc calls; Section 4, devices (e.g., hd,
sd); Section 5, file formats and protocols (e.g., wtmp, /etc/passwd,
nfs); Section 6, games (intro only); Section 7, conventions, macro
packages, etc. (e.g., nroff, ascii); and Section 8, system
administration (intro only).


%prep
%setup -q


%build
# RedHat 6.2 did these
rm -fv man1/README
mv -fv man1/COPYING .
rm -fv man1/{chgrp,chmod,chown,cp,dd,df,dircolors,du,install}.1
rm -fv man1/{ln,ls,mkdir,mkfifo,mknod,mv,rm,rmdir,touch}.1
rm -fv man1/{dir,vdir}.1
rm -fv man2/modules.2 man2/quotactl.2 man2/get_kernel_syms.2 
rm -fv man2/{create,delete,init,query}_module.2
rm -fv man3/getnetent.3
rm -fv man4/console.4
rm -fv man5/exports.5
rm -fv man5/nfs.5
rm -fv man5/fstab.5
find . -name "*sudo*" -exec rm {} \;

# Hao Li did these
rm -fv man5/lilo.conf.5
rm -fv man8/lilo.8
rm -fv man3/dl{close,error,open,sym}.3


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/man
cp -a man{1,2,3,4,5,6,7,8} $RPM_BUILD_ROOT/usr/man
chmod 0644 $RPM_BUILD_ROOT/usr/man/man*/*


%files
%defattr(-,root,root)
%doc COPYING README man-pages-%{version}.Announce man-pages-%{version}.lsm
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT

